<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditDepartamentosTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">

            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditDepartamentosLabel_departamentoNombre}" for="departamentoNombre" />
                    <h:inputText id="departamentoNombre" value="#{departamentosController.selected.departamentoNombre}" title="#{bundle.EditDepartamentosTitle_departamentoNombre}" required="true" requiredMessage="#{bundle.EditDepartamentosRequiredMessage_departamentoNombre}">
                        <p:ajax event="keyup" listener="#{departamentosController.selected.setDepartamentoNombreNuevo(departamentosController.selected.departamentoNombre)}"/>
                    </h:inputText>
                </h:panelGrid>
                <h:commandButton action="#{departamentosController.update}" value="#{bundle.EditDepartamentosSaveLink}" immediate="true" >
                    <p:ajax update=":tabViewAdmin:departamentosPanel:formDepartamentos:tablaDepartamentos" 
                            process="@this" oncomplete="PF('dlgDepartamento').hide();"/>
                </h:commandButton>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
